Index: /ipk/source.sh4/titansettings_default_cable_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_default_cable_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_default_cable_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_default_matze70_sat_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_default_matze70_sat_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_default_matze70_sat_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_default_sat_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_default_sat_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_default_sat_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_matze70neueDesign_sat19_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_matze70neueDesign_sat19_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_matze70neueDesign_sat19_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_sofa_cableBW_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_sofa_cableBW_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_sofa_cableBW_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_uljanov_4sat_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_uljanov_4sat_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_uljanov_4sat_1_0/CONTROL/preinst	(revision 18438)
@@ -46,4 +46,9 @@
 fi
 
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
+
 #echo "remove /var/etc/titan/bouquets.*"
 #rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
Index: /ipk/source.sh4/titansettings_unitymedia_cable_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_unitymedia_cable_1_0/CONTROL/preinst	(revision 18437)
+++ /ipk/source.sh4/titansettings_unitymedia_cable_1_0/CONTROL/preinst	(revision 18438)
@@ -45,4 +45,8 @@
 	sync
 fi
+if [ -e /tmp/.ipkg_upgrade_start ];then
+	echo ipkg upgrade skip settings"
+	exit 1
+fi
 
 #echo "remove /var/etc/titan/bouquets.*"
